From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-portage/iwdevtools/
Date: Fri, 19 Aug 2022 11:57:42 +0000 (UTC) [thread overview]
Message-ID: <1660910244.ce952d0b8e0c5ff4df4e939f51ca85d1daf1649d.ionen@gentoo> (raw)
commit: ce952d0b8e0c5ff4df4e939f51ca85d1daf1649d
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 19 11:48:02 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Aug 19 11:57:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce952d0b
app-portage/iwdevtools: add 0.11.7, straight-to-stable
qa-sed could mangle installed files when using sed labels and not
passing them within the same `-e` they're used in (fortunately, only
known case is sys-apps/shadow and only resulted in harmless duplicate
login.defs comments -- labels isn't a widespread practice)
Even if minor here, potential mangling cases is something been trying
to avoid as much as possible, so doing straight-to-stable
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
app-portage/iwdevtools/Manifest | 1 +
app-portage/iwdevtools/iwdevtools-0.11.7.ebuild | 64 +++++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/app-portage/iwdevtools/Manifest b/app-portage/iwdevtools/Manifest
index 9dd8555ce4d7..9fca2b41b2eb 100644
--- a/app-portage/iwdevtools/Manifest
+++ b/app-portage/iwdevtools/Manifest
@@ -1 +1,2 @@
DIST iwdevtools-0.11.6.tar.gz 85945 BLAKE2B 61c18ae0ed1c0f7e90d41af485f18f891cdd9ffbaff5437cb9f9ca88622efa0f5acd89ac8596e7d41c25a083a970143f3b226284f4566b0b8ee3718071cd6cbb SHA512 21ffda72945947658bf6867bf83d9b9ad4f6b930d4c2cee3dea551581030668ab286a4c4a07edeae937fd91f4aba08fe8e7c6506459808c4ada38502226b5b26
+DIST iwdevtools-0.11.7.tar.gz 86578 BLAKE2B 1945f99ab5d516bdef7081e13ecb0921728497f84e5e5248b2ddea78b306f185a0952a664165b4bae6c2089ddd1a4423d26524f42631a53b75fd2749a6994721 SHA512 fe18a88d166f239581bdddb0c719bf1d7789f671df151d87844b1836d134754d731114250ae2a9ef5b1a37a403615c15bbd6174eeeec3fe275e93c32ce6fae5c
diff --git a/app-portage/iwdevtools/iwdevtools-0.11.7.ebuild b/app-portage/iwdevtools/iwdevtools-0.11.7.ebuild
new file mode 100644
index 000000000000..4c53d2af1ea3
--- /dev/null
+++ b/app-portage/iwdevtools/iwdevtools-0.11.7.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson optfeature
+
+DESCRIPTION="Small tools to aid with Gentoo development, primarily intended for QA"
+HOMEPAGE="https://github.com/ionenwks/iwdevtools"
+SRC_URI="https://github.com/ionenwks/iwdevtools/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 hppa ~loong ppc ppc64 ~riscv sparc x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-misc/pax-utils
+ app-portage/portage-utils
+ >=app-shells/bash-5.1
+ dev-libs/libxml2:2
+ sys-apps/diffutils
+ sys-apps/file
+ sys-apps/portage
+ || ( sys-apps/util-linux app-misc/getopt )"
+BDEPEND="
+ sys-apps/help2man
+ || ( sys-apps/util-linux app-misc/getopt )
+ test? ( ${RDEPEND} )"
+
+src_configure() {
+ local emesonargs=(
+ -Ddocdir=${PF}
+ -Deprefix="${EPREFIX}"
+ -Dshellcheck=false
+ $(meson_use test)
+ )
+
+ has_version sys-apps/util-linux || emesonargs+=( -Dgetopt=getopt-long )
+
+ meson_src_configure
+}
+
+pkg_postinst() {
+ optfeature "detecting potential ABI issues using abidiff" dev-util/libabigail
+
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ elog "Optional portage integration relies on using /etc/portage/bashrc."
+ elog "The example bashrc can be used as-is if not already using one:"
+ elog
+ elog " ln -s ../../usr/share/${PN}/bashrc ${EROOT}/etc/portage/bashrc"
+ elog
+ elog "Otherwise, inspect the tools' --help output and the example to integrate"
+ elog "(if not defining the same phase functions, the example can be sourced)."
+ elog
+ elog "Note that \`eqawarn\` is used for portage output by default. QA messages"
+ elog "aren't logged / shown post-emerge unless e.g. in /etc/portage/make.conf:"
+ elog
+ elog ' PORTAGE_ELOG_CLASSES="${PORTAGE_ELOG_CLASSES} qa"'
+ elog
+ elog "See ${EROOT}/usr/share/doc/${PF}/README.rst* for information on tools."
+ fi
+}
next reply other threads:[~2022-08-19 11:57 UTC|newest]
Thread overview: 128+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-19 11:57 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-03 4:38 [gentoo-commits] repo/gentoo:master commit in: app-portage/iwdevtools/ Sam James
2024-09-22 5:23 Ionen Wolkens
2024-09-16 7:17 Ionen Wolkens
2024-05-31 13:08 Ionen Wolkens
2024-05-31 12:16 Ionen Wolkens
2024-02-22 6:16 Ionen Wolkens
2024-02-09 10:05 Ionen Wolkens
2024-01-19 6:40 Ionen Wolkens
2024-01-19 6:40 Ionen Wolkens
2024-01-12 19:06 Ionen Wolkens
2024-01-07 17:09 Ionen Wolkens
2024-01-07 17:09 Ionen Wolkens
2024-01-03 20:30 Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2023-09-29 10:42 Ionen Wolkens
2023-09-22 8:53 Ionen Wolkens
2023-09-22 8:53 Ionen Wolkens
2023-09-12 16:15 Ionen Wolkens
2023-08-07 4:20 Ionen Wolkens
2023-08-07 4:20 Ionen Wolkens
2023-08-04 12:29 Ionen Wolkens
2023-07-30 18:17 Ionen Wolkens
2023-07-05 21:48 Ionen Wolkens
2023-06-23 21:01 Ionen Wolkens
2023-06-02 6:54 Ionen Wolkens
2023-06-01 11:07 Ionen Wolkens
2023-05-26 7:10 Ionen Wolkens
2023-03-25 3:19 Ionen Wolkens
2023-03-20 21:04 Ionen Wolkens
2023-02-13 11:46 Ionen Wolkens
2023-02-12 8:04 Ionen Wolkens
2023-02-08 18:07 Ionen Wolkens
2022-12-21 5:57 Ionen Wolkens
2022-12-21 5:57 Ionen Wolkens
2022-12-19 5:48 Ionen Wolkens
2022-12-19 5:48 Ionen Wolkens
2022-12-19 5:48 Ionen Wolkens
2022-11-30 0:12 Ionen Wolkens
2022-11-01 20:39 Ionen Wolkens
2022-10-27 22:19 Ionen Wolkens
2022-10-24 20:09 Ionen Wolkens
2022-09-19 17:00 Ionen Wolkens
2022-09-17 8:42 Ionen Wolkens
2022-09-17 8:42 Ionen Wolkens
2022-09-16 6:36 Arthur Zamarin
2022-09-16 2:53 Ionen Wolkens
2022-09-16 2:53 Ionen Wolkens
2022-08-13 1:05 Ionen Wolkens
2022-08-10 5:55 Ionen Wolkens
2022-08-07 13:59 Ionen Wolkens
2022-08-01 8:40 Ionen Wolkens
2022-08-01 8:40 Ionen Wolkens
2022-07-29 22:28 Ionen Wolkens
2022-07-24 16:24 Sam James
2022-07-19 18:40 Ionen Wolkens
2022-07-06 8:57 Ionen Wolkens
2022-07-05 11:35 Ionen Wolkens
2022-07-03 17:30 Sam James
2022-07-03 14:34 Sam James
2022-07-03 12:39 Ionen Wolkens
2022-07-03 5:33 Ionen Wolkens
2022-06-29 19:48 Ionen Wolkens
2022-06-27 0:25 Ionen Wolkens
2022-06-24 6:44 Ionen Wolkens
2022-06-19 20:33 Ionen Wolkens
2022-06-13 6:29 Ionen Wolkens
2022-05-01 3:01 WANG Xuerui
2022-02-16 6:58 Ionen Wolkens
2022-02-16 6:58 Ionen Wolkens
2022-02-13 5:57 Ionen Wolkens
2022-02-13 5:57 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens
2022-01-22 0:34 Ionen Wolkens
2022-01-21 17:21 Ionen Wolkens
2022-01-19 20:37 Ionen Wolkens
2022-01-16 8:53 Ionen Wolkens
2022-01-16 7:46 Ionen Wolkens
2021-12-21 20:33 Arthur Zamarin
2021-12-21 11:24 Arthur Zamarin
2021-12-21 5:11 Sam James
2021-12-21 5:02 Sam James
2021-12-21 5:02 Sam James
2021-12-16 19:11 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-03 2:58 Ionen Wolkens
2021-12-03 2:58 Ionen Wolkens
2021-11-28 17:40 Marek Szuba
2021-10-30 13:10 Ionen Wolkens
2021-09-30 16:05 Ionen Wolkens
2021-09-30 16:05 Ionen Wolkens
2021-09-28 18:39 Ionen Wolkens
2021-09-17 5:24 Ionen Wolkens
2021-09-11 15:15 Ionen Wolkens
2021-09-11 15:15 Ionen Wolkens
2021-09-07 18:30 Ionen Wolkens
2021-09-07 18:30 Ionen Wolkens
2021-09-04 13:50 Ionen Wolkens
2021-09-04 13:50 Ionen Wolkens
2021-09-04 5:16 Sam James
2021-09-04 3:19 Ionen Wolkens
2021-09-04 3:19 Ionen Wolkens
2021-09-02 2:05 Ionen Wolkens
2021-09-01 21:05 Ionen Wolkens
2021-09-01 21:05 Ionen Wolkens
2021-09-01 21:05 Ionen Wolkens
2021-08-30 16:42 Ionen Wolkens
2021-08-28 8:01 Ionen Wolkens
2021-08-28 4:35 Ionen Wolkens
2021-08-27 9:20 Ionen Wolkens
2021-08-27 9:20 Ionen Wolkens
2021-08-26 16:08 Ionen Wolkens
2021-08-26 16:08 Ionen Wolkens
2021-08-26 16:08 Ionen Wolkens
2021-08-24 6:44 Ionen Wolkens
2021-08-24 6:44 Ionen Wolkens
2021-08-23 16:29 Ionen Wolkens
2021-08-23 3:55 Ionen Wolkens
2021-08-23 3:55 Ionen Wolkens
2021-08-22 3:20 Ionen Wolkens
2021-08-19 8:57 Ionen Wolkens
2021-08-17 17:41 Ionen Wolkens
2021-08-17 17:41 Ionen Wolkens
2021-08-17 15:23 Ionen Wolkens
2021-08-17 14:51 Ionen Wolkens
2021-08-15 19:44 Ionen Wolkens
2021-08-15 18:50 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1660910244.ce952d0b8e0c5ff4df4e939f51ca85d1daf1649d.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox